# Class: Date

## jala.Date()

This class provides various convenience methods for rendering purposes.

## Constructor

#### new Date()

Constructs a new Renderings object.

Source:
  - jala/code/Date.js, line 46

### Classes

Calendar

### Methods

#### renderEditor(prefix, date, fmt)

Renders a timestamp as set of DropDown boxes, following the format passed as argument. Every <select> item is prefixed with a string so that it can be retrieved easily from the values of a submitted POST request.

##### Parameters:

Name | Type | Description
--- | --- | ---
`prefix` | String | The prefix to use for all dropdown boxes, eg. "postdate"
`date` | Date | A Date object to use as preselection (optional)

`fmt`

Object

Array containing one parameter object for every single select box that should be rendered, with the following properties set:

- pattern - The date format pattern that should be rendered. Valid patterns are: "dd", "MM", "yyyy", "HH", "ss".
- firstOption - The string to use as first option, eg.: "choose a day"

Source:
  - jala/code/Date.js, line 65

#### renderEditorAsString()

Returns a timestamp as set of dropdown-boxes

Source:
  - jala/code/Date.js, line 140
See:
  - #renderEditor